Slack: Set Channel Description
Set the description (purpose) of a Slack channel via native OAuth integration. The description appears in channel details and helps users understand the channel. Ideal for: channel documentation, onboarding info, project descriptions.
カタログアクション インテグレーション slack
Slack チャンネルの説明(目的)をネイティブ OAuth 統合を使用して設定します。この説明はチャンネル詳細に表示され、ユーザーがチャンネルの内容を理解するのに役立ちます。適した用途:チャンネルドキュメント、オンboarding情報、プロジェクト説明。
概要
| フィールド | 値 |
|---|---|
| アクション ID | slack-set-channel-description |
| カテゴリ | インテグレーション |
| コネクタ | slack |
| ガス必要 | いいえ |
| 資金移動 | 宣言なし |
| タグ | slack, integration, write, chat |
ペイロードスキーマ
| フィールド | タイプ | 必須 | 説明 |
|---|---|---|---|
channel | string | はい | チャンネル ID |
purpose | string | はい | 新しいチャンネル説明/目的 (最大 250 文字) |
結果スキーマ
| フィールド | タイプ | 必須 | 説明 |
|---|---|---|---|
success | boolean | はい | - |
data | object | いいえ | - |
使用例
json{ "type": "slack-set-channel-description", "payload": { "channel": "example-channel", "purpose": "example-purpose" }, "children": [], "connector": { "type": "slack", "id": "conn_slack" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/slack-set-channel-description/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "channel": "example-channel", "purpose": "example-purpose" }}'
ペイロードのフィールドでは、値がトリガー、前のノード、または再利用可能なワークフロープロパティから取得される場合、{{$trigger.body.amount}}、{{$nodes.fetch.result.price}}、および {{$props.asset}} のようなワークフロー式を使用できます。
